statistics-0.10.3.1: A library of statistical types, data, and functions

Portability | portable
Stability | experimental
Maintainer | bos@serpentine.com
Safe Haskell | None

Statistics.Resampling.Bootstrap

Contents

- References

Description

The bootstrap method for statistical inference.

Synopsis

- data Estimate = Estimate {
  - estPoint :: !Double
  - estLowerBound :: !Double
  - estUpperBound :: !Double
  - estConfidenceLevel :: !Double
  }
- bootstrapBCA :: Double -> Sample -> [Estimator] -> [Resample] -> [Estimate]
- scale :: Double -> Estimate -> Estimate

# Documentation

data Estimate

A point and interval estimate computed via an `Estimator`.

Constructors

Estimate |

Fields

estPoint :: !Double

  Point estimate.

estLowerBound :: !Double

  Lower bound of the estimate interval (i.e. the lower bound of the confidence interval).

estUpperBound :: !Double

  Upper bound of the estimate interval (i.e. the upper bound of the confidence interval).

estConfidenceLevel :: !Double

  Confidence level of the confidence intervals.

Instances

Eq Estimate |
Data Estimate |
Show Estimate |
Typeable Estimate |
NFData Estimate |

bootstrapBCA

Arguments

:: Double | Confidence level
-> Sample | Sample data
-> [Estimator] | Estimators
-> [Resample] | Resampled data
-> [Estimate] |

Bias-corrected accelerated (BCA) bootstrap. This adjusts for both bias and skewness in the resampled distribution.

scale

Arguments

:: Double | Value to multiply by.
-> Estimate |
-> Estimate |

Multiply the point, lower bound, and upper bound in an `Estimate` by the given value.

# References

- Davison, A.C; Hinkley, D.V. (1997) Bootstrap methods and their application. http://statwww.epfl.ch/davison/BMA/